# Conversations

Endpoints for working with the conversation log.

 - [GET /v1/projects/{project_id}/conversations](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_listconversations.md): This operation lists all conversations that are associated with an app and/or a contact. Note that either `app_id` or `contact_id` is required in order for the operation to function correctly.
 - [POST /v1/projects/{project_id}/conversations](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_createconversation.md): Creates a new empty conversation. In Conversation mode, it is generally not needed to create a conversation explicitly since sending or receiving a message automatically creates a new conversation if
 - [GET /v1/projects/{project_id}/conversations/{conversation_id}](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_getconversation.md): Retrieves a conversation by id. A conversation has two participating entities, an app and a contact.
 - [DELETE /v1/projects/{project_id}/conversations/{conversation_id}](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_deleteconversation.md): Deletes a conversation together with all the messages sent as part of the conversation.
 - [PATCH /v1/projects/{project_id}/conversations/{conversation_id}](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_updateconversation.md): This operation updates a conversation which can, for instance, be used to update the metadata associated with a conversation.
 - [GET /v1/projects/{project_id}/conversations:recent](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_listrecentconversations.md): This operation lists conversations and their most recent message, ordered by when the most recent message was sent for that conversation.
 - [POST /v1/projects/{project_id}/conversations/{conversation_id}:inject-event](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/events_injectevent.md): This operation injects a conversation event in to a specific conversation. It only supports injecting App events in `CONVERSATION` mode.
 - [POST /v1/projects/{project_id}/conversations/{conversation_id}:stop](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_stopactiveconversation.md): This operation stops the referenced conversation, if the conversation is still active. In Conversation mode, a new conversation will be created if a new message is exchanged between the app or contact
 - [POST /v1/projects/{project_id}/conversations/{conversation_id}:inject-message](https://developers.sinch.com/docs/conversation/api-reference/conversation/conversation/conversation_injectmessage.md): This operation injects a conversation message in to a specific conversation.
